- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TextureRectangle File Reference

`#include <osg/Texture>`

Include dependency graph for TextureRectangle:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::TextureRectangle
| Texture state class which encapsulates OpenGL texture functionality. More...
class | osg::TextureRectangle::SubloadCallback
## Defines
#define | OSG_TEXTURERECTANGLE 1
#define | GL_TEXTURE_RECTANGLE_NV 0x84F5
#define | GL_TEXTURE_RECTANGLE GL_TEXTURE_RECTANGLE_NV

## Define Documentation

#define GL_TEXTURE_RECTANGLE GL_TEXTURE_RECTANGLE_NV

#define GL_TEXTURE_RECTANGLE_NV 0x84F5

#define OSG_TEXTURERECTANGLE 1